/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package utility;

import java.io.IOException;
import java.io.InputStreamReader;

/**
 *
 * @author Vinay B Gavirangaswamy
 */
public class J2SEToJ2MEUtil
{
    public static String readStrFrmInputStream(InputStreamReader in) throws IOException
    {
        char[] buffer = new char[32];
        StringBuffer sb = new StringBuffer( );
        int count;

        while ((count = in.read(buffer, 0, buffer.length)) > -1)
        {
            sb.append(buffer, 0, count);
        }     

        return sb.toString( );
    }
}
